#ifndef _KK_LAN_VOICE_PANEL_H
#define _KK_LAN_VOICE_PANEL_H






int kk_voice_panel_init(int argc, char* argv[]);







void kk_vp_set_config_file_version(int ver);
int kk_vp_config_file_info_check(int f_ver,int f_size,int crc32);


void kk_vp_update_result_check(uint8_t status,uint32_t f_ver);

void kk_vp_set_config_file_version(int ver);
void kk_vp_cfg_info_check(uint32_t f_ver,uint32_t f_size,uint32_t crc32);
void kk_vp_cfg_info_set(uint32_t f_ver,uint32_t f_size,uint32_t crc32);



void voice_uart_lock(void);
void voice_uart_unlock(void);
void kk_voice_ota_start(char *in);
int kk_voice_exit_factory_mode(void);
void kk_voice_ota_mtu_set(uint16_t mtu);

void kk_voice_update_config_file(void);
void kk_voice_reset_ver_flag(void);


void kk_get_voice_version(void);

















#endif

